<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 01/31/2004 *
 * ===============                              Last change: 08/29/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : lib.php                                          *
 * -------------------------------------------------------------------- *
 * Short description : SQL abstraction layer                            *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : SQL-Typ auswaehlen                               *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), '/inc') + 4) . '/security.php';
	require($INC);
}

// Select MySQL 3 as default database type
if (!defined('_DB_TYPE')) define('_DB_TYPE', "mysql3");

// Create include file name
$INC = sprintf("inc/db/lib-%s.php", constant('_DB_TYPE'));

if (isIncludeReadable($INC)) {
	// Include abstraction layer
	loadIncludeOnce($INC);
} else {
	// Bye, bye...
	die("Cannot load database abstraction layer ".constant('_DB_TYPE')." -&gt; R.I.P.");
}

//
?>
