<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/09/2005 *
 * ===============                              Last change: 05/18/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : sponsor_confirm.php                              *
 * -------------------------------------------------------------------- *
 * Short description : Redirection for the confirmation link            *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Weiterleitungsscript fuer den Bestaetigungslink  *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software. You can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License.       *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Load security stuff here
require('inc/libs/security_functions.php');

// Init "action" and "what"
$GLOBALS['what'] = '';
$GLOBALS['action'] = '';

// Set module
$GLOBALS['module'] = 'sponsor_confirm';

// Set 'CSS-Mode'
$GLOBALS['output_mode'] = '0';

// Load the required file(s)
require('inc/config.php');

// Is the script installed?
if (isInstalled()) {
	// Base URL for redirection
	$URL = 'modules.php?module=index&amp;what=sponsor_login&amp;hash=';
	if (!REQUEST_ISSET_GET(('hash'))) {
		// No refid and we add our refid (don't forget to set $def_refid!)
		$URL = 'modules.php?module=index';
	} else {
		// We have an refid here. So we simply add it
		$URL .= REQUEST_GET(('hash'));
	}

	// Load the URL
	redirectToUrl($URL);
} else {
	// You have to install first!
	redirectToUrl('install.php');
}

// Really all done here... ;-)
shutdown();

//
?>
